Phusion Passenger on Ubuntu Maverick 10.10

I updated today to Ubuntu Maverick and I really need Phusion Passenger (http://www.modrails.com/install.html). First attempt crashed:

sudo aptitude install rubygems
sudo gem install passenger
ERROR:  Error installing passenger:
ERROR: Failed to build gem native extension.
 
/usr/bin/ruby1.8 extconf.rb
extconf.rb:8:in `require': no such file to load -- mkmf (LoadError)
from extconf.rb:

Ok, I found the problem (http://kenno.wordpress.com/2009/07/25/fixed-extconf-rb8in-require-no-such-file-to-load-mkmf-loaderror/)

sudo aptitude install ruby1.8-dev
sudo gem install passenger
sudo /var/lib/gems/1.8/bin/passenger-install-apache2-module

Post a comment.